LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
XSlideSorterBase Interface Reference

This interface exists only because services do not directly support multiple inheritance and attributes. More...

`import"XSlideSorterBase.idl";`

Inheritance diagram for XSlideSorterBase:

## Exported Interfaces
interface | ::com::sun::star::drawing::framework::XView
| This interface is included to mark a SlideSorter object as view of the drawing framework and to provide a ResourceId. More...
interface | ::com::sun::star::drawing::XDrawView
| The XDrawView interface is included to provide access to the current slide (especially write access). More...
Exported Interfaces inherited from XView
interface | XResource

## Public Attributes
::com::sun::star::container::XIndexAccess | DocumentSlides
| The set of slides that are displayed by the implementing object. More...
boolean | IsHighlightCurrentSlide
| Set this flag to `TRUE` in order to have the current slide highlighted. More...
boolean | IsShowSelection
| Set this flag to `TRUE` in order to visualize the selection of slides (typically a bold frame around the selected slides). More...
boolean | IsShowFocus
| Set this flag to `TRUE` to visualize to where the focus is by showing a dotted rectangle around the focused slide. More...
boolean | IsCenterSelection
| When this flag has the value `TRUE` then every time the current slide is changed the visual area is shifted so that the new current slide is display in the center of the slide sorter window. More...
boolean | IsSuspendPreviewUpdatesDuringFullScreenPresentation
| This flag controls whether updates of previews are created during full screen presentations (`FALSE`) or not (`TRUE`). More...
boolean | IsOrientationVertical
| The orientation of a slide sorter can be either vertical (`TRUE`) or horizontal (`FALSE`). More...
boolean | IsSmoothScrolling
| This flag is a hint to make scrolling look smooth. More...
::com::sun::star::util::Color | BackgroundColor
::com::sun::star::util::Color | TextColor
::com::sun::star::util::Color | SelectionColor
::com::sun::star::util::Color | HighlightColor
boolean | IsUIReadOnly
| This flag controls whether the model can be modified by using keyboard or mouse. More...

## Additional Inherited Members
Public Member Functions inherited from XResource
XResourceId | getResourceId ()
| Return an XResourceId object for the called resource. More...
boolean | isAnchorOnly ()
| Some resources must not be leafs, i.e. More...
Public Member Functions inherited from XDrawView
void | setCurrentPage ([in] com::sun::star::drawing::XDrawPage xPage)
| changes the current page. More...
com::sun::star::drawing::XDrawPage | getCurrentPage ()
| returns the current page. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface exists only because services do not directly support multiple inheritance and attributes.

It provides the interfaces and attributes that every object that implements the SlideSorter service.

## Exported Interfaces

## ◆ ::com::sun::star::drawing::framework::XView

interface ::com::sun::star::drawing::framework::XView

This interface is included to mark a SlideSorter object as view of the drawing framework and to provide a ResourceId.

## ◆ ::com::sun::star::drawing::XDrawView

interface ::com::sun::star::drawing::XDrawView

The XDrawView interface is included to provide access to the current slide (especially write access).

## Member Data Documentation

## ◆ BackgroundColor

::com::sun::star::util::Color BackgroundColor
| attribute

## ◆ DocumentSlides

::com::sun::star::container::XIndexAccess DocumentSlides
| attribute

The set of slides that are displayed by the implementing object.

The default value is the set of all slides of the document for which a slide sorter is created.

## ◆ HighlightColor

::com::sun::star::util::Color HighlightColor
| attribute

## ◆ IsCenterSelection

boolean IsCenterSelection
| attribute

When this flag has the value `TRUE` then every time the current slide is changed the visual area is shifted so that the new current slide is display in the center of the slide sorter window.

It is not always possible to move the current slide into the exact center of the window, for example when slides are located near the start or end of a document.

The default value is `FALSE`.

## ◆ IsHighlightCurrentSlide

boolean IsHighlightCurrentSlide
| attribute

Set this flag to `TRUE` in order to have the current slide highlighted.

The default value is `FALSE`.

## ◆ IsOrientationVertical

boolean IsOrientationVertical
| attribute

The orientation of a slide sorter can be either vertical (`TRUE`) or horizontal (`FALSE`).

## ◆ IsShowFocus

boolean IsShowFocus
| attribute

Set this flag to `TRUE` to visualize to where the focus is by showing a dotted rectangle around the focused slide.

The default value is `TRUE`.

## ◆ IsShowSelection

boolean IsShowSelection
| attribute

Set this flag to `TRUE` in order to visualize the selection of slides (typically a bold frame around the selected slides).

The default value is `TRUE`.

## ◆ IsSmoothScrolling

boolean IsSmoothScrolling
| attribute

This flag is a hint to make scrolling look smooth.

## ◆ IsSuspendPreviewUpdatesDuringFullScreenPresentation

boolean IsSuspendPreviewUpdatesDuringFullScreenPresentation
| attribute

This flag controls whether updates of previews are created during full screen presentations (`FALSE`) or not (`TRUE`).

The suspension of preview creations is an optimization for not slowing down a running presentation.

The default value is `TRUE`.

## ◆ IsUIReadOnly

boolean IsUIReadOnly
| attribute

This flag controls whether the model can be modified by using keyboard or mouse.

The default value is `TRUE`.

## ◆ SelectionColor

::com::sun::star::util::Color SelectionColor
| attribute

## ◆ TextColor

::com::sun::star::util::Color TextColor
| attribute

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XSlideSorterBase.idl